NX Open C++ Reference Guide |
Represents a @link Features::Text Features::Text@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateTextBuilder Features::FeatureCollection::CreateTextBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | CanCreateBoundingBox () |
返回指示是否可以创建边界框的标志Created in NX7.5.1. | |
bool | CanJoinCurves () |
返回指示是否可以连接曲线的标志Created in NX7.5.1. | |
bool | CanProjectCurves () |
返回指示是否可以投影曲线的标志Created in NX7.5.1. | |
bool | CanReferenceText () |
返回指示文本特征是否可以引用字符串表达式的标志Created in NX7.5.1. | |
bool | CanReverseIntersectionCurve () |
返回指示是否可以反转相交曲线的标志Created in NX7.5.1. | |
bool | CanUseKerningSpaces () |
返回指示是否可以使用字距调整空格的标志Created in NX7.5.1. | |
NXString | Font () |
返回字体Created in NX7.5.1. | |
NXOpen::Features::TextBuilder::FontStyleOptions | FontStyle () |
返回字体样式Created in NX7.5.1. | |
NXOpen::GeometricUtilities::FrameOnPathBuilder * | FrameOnPath () |
返回在路径框Created in NX7.5.1. | |
bool | IsAssociative () |
返回指示操作是否是关联的标志Created in NX7.5.1. | |
NXOpen::Section * | OnCurvePlacementProfile () |
返回的展示位置配置文件 Features::TextBuilder::TypesOnCurve type Created in NX7.5.1. | |
NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions | OnFacePlacementMethod () |
返回的放置方法Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
NXOpen::Section * | OnFacePlacementProfile () |
返回的展示位置配置文件 Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
NXOpen::Features::TextBuilder::OrientationMethodOptions | OrientationMethod () |
返回的方向方法Features::TextBuilder::TypesOnCurve type Created in NX7.5.1. | |
NXOpen::Direction * | OrientationVector () |
返回方向向量Created in NX7.5.1. | |
NXOpen::ScCollector * | PlacementFaces () |
返回的展示位置 Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
NXOpen::GeometricUtilities::RectangularFrameBuilder * | PlanarFrame () |
返回平面框架Created in NX7.5.1. | |
NXOpen::Features::TextBuilder::ScriptOptions | Script () |
返回脚本Created in NX7.5.1. | |
NXOpen::Plane * | SectionPlane () |
返回的截面平面Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
void | SelectFont (const NXString &fontName, NXOpen::Features::TextBuilder::ScriptOptions script) |
选择字体以及适当的字符集Created in NX7.5.1. | |
void | SelectFont (const char *fontName, NXOpen::Features::TextBuilder::ScriptOptions script) |
选择字体以及适当的字符集创建于NX7.5.1。 | |
void | SetAssociative (bool isAssociative) |
设置指示操作是否是关联的标志创建于NX7.5.1。 | |
void | SetCanCreateBoundingBox (bool canCreateBoundingBox) |
设置指示是否可以创建边界框的标志创建于NX7.5.1。 | |
void | SetCanJoinCurves (bool canJoinCurves) |
设置指示是否可以连接曲线的标志创建于NX7.5.1。 | |
void | SetCanProjectCurves (bool canProjectCurves) |
设置指示是否可以投影曲线的标志创建于NX7.5.1。 | |
void | SetCanReferenceText (bool canReferenceText) |
设置指示文本特征是否可以引用字符串表达式的标志创建于NX7.5.1。 | |
void | SetCanReverseIntersectionCurve (bool canReverse) |
设置指示是否可以反转相交曲线的标志Created in NX7.5.1. | |
void | SetCanUseKerningSpaces (bool canUseKerningSpaces) |
设置指示是否可以使用字距调整空格的标志 Created in NX7.5.1. | |
void | SetFontStyle (NXOpen::Features::TextBuilder::FontStyleOptions fontStyle) |
设置字体样式Created in NX7.5.1. | |
void | SetOnFacePlacementMethod (NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions placementMethod) |
设置的放置方法Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
void | SetOrientationMethod (NXOpen::Features::TextBuilder::OrientationMethodOptions orientationMethod) |
设置的方向方法Features::TextBuilder::TypesOnCurve type Created in NX7.5.1. | |
void | SetOrientationVector (NXOpen::Direction *orientationVector) |
设置方向矢量Created in NX7.5.1. | |
void | SetScript (NXOpen::Features::TextBuilder::ScriptOptions script) |
设置脚本Created in NX7.5.1. | |
void | SetSectionPlane (NXOpen::Plane *sectionPlane) |
设置截面平面Features::TextBuilder::TypesOnFace type Created in NX7.5.1. | |
void | SetTextString (const NXString &textString) |
设置要渲染的字符串Created in NX7.5.3. | |
void | SetTextString (const char *textString) |
设置要渲染的字符串Created in NX7.5.3. | |
void | SetType (NXOpen::Features::TextBuilder::Types type) |
设置类型Created in NX7.5.1. | |
NXOpen::Expression * | Text () |
返回表示文本的字符串表达式Created in NX7.5.1. | |
NXString | TextString () |
返回要呈现的字符串Created in NX7.5.3. | |
NXOpen::Features::TextBuilder::Types | Type () |
返回类型Created in NX7.5.1. | |
void | UpdateOnOrientationVectorReversal () |
基于方向矢量感测更新构建器Created in NX7.5.1. | |
void | UpdateOnSectionPlane () |
根据剖面更新构建器Created in NX7.5.1. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Text Features::Text@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateTextBuilder Features::FeatureCollection::CreateTextBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CanCreateBoundingBox |
0 |
CanJoinCurves |
1 |
CanProjectCurves |
0 |
CanReferenceText |
0 |
CanUseKerningSpaces |
1 |
FontStyle |
Regular |
FrameOnPath.AnchorLocation |
Center |
FrameOnPath.Height.Value |
10 (millimeters part), 1 (inches part) |
FrameOnPath.Offset.Value |
0 (millimeters part), 0 (inches part) |
FrameOnPath.WScale |
100 |
IsAssociative |
1 |
OnFacePlacementMethod |
CurvesOnFaces |
OrientationMethod |
Natural |
PlanarFrame.AnchorLocation |
BottomCenter |
PlanarFrame.Height.Value |
10 (millimeters part), 1 (inches part) |
PlanarFrame.Shear.Value |
0 |
PlanarFrame.WScale |
100 |
Created in NX7.5.1.
The placement options for Features::TextBuilder::TypesOnFace type.
The orientation options for Features::TextBuilder::TypesOnCurve type.
Script or character set options.
Text placement type.
bool NXOpen::Features::TextBuilder::CanCreateBoundingBox | ( | ) |
Returns the flag indicating if bounding box can be created
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::CanJoinCurves | ( | ) |
Returns the flag indicating if curves can be joined
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::CanProjectCurves | ( | ) |
Returns the flag indicating if curves can be projected
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::CanReferenceText | ( | ) |
Returns the flag indicating if text feature can reference a string expression
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::CanReverseIntersectionCurve | ( | ) |
Returns the flag indicating if intersection curve can be reversed
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::CanUseKerningSpaces | ( | ) |
Returns the flag indicating if kerning spaces can be used
Created in NX7.5.1.
License requirements : None
NXString NXOpen::Features::TextBuilder::Font | ( | ) |
Returns the font
Created in NX7.5.1.
License requirements : None
NXOpen::Features::TextBuilder::FontStyleOptions NXOpen::Features::TextBuilder::FontStyle | ( | ) |
Returns the font style
Created in NX7.5.1.
License requirements : None
NXOpen::GeometricUtilities::FrameOnPathBuilder* NXOpen::Features::TextBuilder::FrameOnPath | ( | ) |
Returns the frame on path
Created in NX7.5.1.
License requirements : None
bool NXOpen::Features::TextBuilder::IsAssociative | ( | ) |
Returns the flag indicating if operation is associative
Created in NX7.5.1.
License requirements : None
NXOpen::Section* NXOpen::Features::TextBuilder::OnCurvePlacementProfile | ( | ) |
Returns the placement profile for Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.
License requirements : None
NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions NXOpen::Features::TextBuilder::OnFacePlacementMethod | ( | ) |
Returns the placement method for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : None
NXOpen::Section* NXOpen::Features::TextBuilder::OnFacePlacementProfile | ( | ) |
Returns the placement profile for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : None
NXOpen::Features::TextBuilder::OrientationMethodOptions NXOpen::Features::TextBuilder::OrientationMethod | ( | ) |
Returns the orientation method for Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.
License requirements : None
NXOpen::Direction* NXOpen::Features::TextBuilder::OrientationVector | ( | ) |
Returns the orientation vector
Created in NX7.5.1.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::TextBuilder::PlacementFaces | ( | ) |
Returns the placement faces for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : None
NXOpen::GeometricUtilities::RectangularFrameBuilder* NXOpen::Features::TextBuilder::PlanarFrame | ( | ) |
Returns the planar frame
Created in NX7.5.1.
License requirements : None
NXOpen::Features::TextBuilder::ScriptOptions NXOpen::Features::TextBuilder::Script | ( | ) |
Returns the script
Created in NX7.5.1.
License requirements : None
NXOpen::Plane* NXOpen::Features::TextBuilder::SectionPlane | ( | ) |
Returns the section plane for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : None
void NXOpen::Features::TextBuilder::SelectFont | ( | const NXString & | fontName, |
NXOpen::Features::TextBuilder::ScriptOptions | script | ||
) |
Selects the font along with appropriate character set
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
fontName | Font |
script | Character set |
void NXOpen::Features::TextBuilder::SelectFont | ( | const char * | fontName, |
NXOpen::Features::TextBuilder::ScriptOptions | script | ||
) |
Selects the font along with appropriate character set
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
fontName | Font |
script | Character set |
void NXOpen::Features::TextBuilder::SetAssociative | ( | bool | isAssociative | ) |
Sets the flag indicating if operation is associative
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
isAssociative | isassociative |
void NXOpen::Features::TextBuilder::SetCanCreateBoundingBox | ( | bool | canCreateBoundingBox | ) |
Sets the flag indicating if bounding box can be created
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canCreateBoundingBox | cancreateboundingbox |
void NXOpen::Features::TextBuilder::SetCanJoinCurves | ( | bool | canJoinCurves | ) |
Sets the flag indicating if curves can be joined
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canJoinCurves | canjoincurves |
void NXOpen::Features::TextBuilder::SetCanProjectCurves | ( | bool | canProjectCurves | ) |
Sets the flag indicating if curves can be projected
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canProjectCurves | canprojectcurves |
void NXOpen::Features::TextBuilder::SetCanReferenceText | ( | bool | canReferenceText | ) |
Sets the flag indicating if text feature can reference a string expression
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canReferenceText | canreferencetext |
void NXOpen::Features::TextBuilder::SetCanReverseIntersectionCurve | ( | bool | canReverse | ) |
Sets the flag indicating if intersection curve can be reversed
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canReverse | canreverse |
void NXOpen::Features::TextBuilder::SetCanUseKerningSpaces | ( | bool | canUseKerningSpaces | ) |
Sets the flag indicating if kerning spaces can be used
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
canUseKerningSpaces | canusekerningspaces |
void NXOpen::Features::TextBuilder::SetFontStyle | ( | NXOpen::Features::TextBuilder::FontStyleOptions | fontStyle | ) |
Sets the font style
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
fontStyle | fontstyle |
void NXOpen::Features::TextBuilder::SetOnFacePlacementMethod | ( | NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions | placementMethod | ) |
Sets the placement method for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
placementMethod | placementmethod |
void NXOpen::Features::TextBuilder::SetOrientationMethod | ( | NXOpen::Features::TextBuilder::OrientationMethodOptions | orientationMethod | ) |
Sets the orientation method for Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
orientationMethod | orientationmethod |
void NXOpen::Features::TextBuilder::SetOrientationVector | ( | NXOpen::Direction * | orientationVector | ) |
Sets the orientation vector
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
orientationVector | orientationvector |
void NXOpen::Features::TextBuilder::SetScript | ( | NXOpen::Features::TextBuilder::ScriptOptions | script | ) |
Sets the script
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
script | script |
void NXOpen::Features::TextBuilder::SetSectionPlane | ( | NXOpen::Plane * | sectionPlane | ) |
Sets the section plane for Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
sectionPlane | sectionplane |
void NXOpen::Features::TextBuilder::SetTextString | ( | const NXString & | textString | ) |
Sets the string to be rendered
Created in NX7.5.3.
License requirements : solid_modeling ("SOLIDS MODELING")
textString | Text to be rendered |
void NXOpen::Features::TextBuilder::SetTextString | ( | const char * | textString | ) |
Sets the string to be rendered
Created in NX7.5.3.
License requirements : solid_modeling ("SOLIDS MODELING")
textString | Text to be rendered |
void NXOpen::Features::TextBuilder::SetType | ( | NXOpen::Features::TextBuilder::Types | type | ) |
Sets the type
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
NXOpen::Expression* NXOpen::Features::TextBuilder::Text | ( | ) |
Returns the string expression representing the text
Created in NX7.5.1.
License requirements : None
NXString NXOpen::Features::TextBuilder::TextString | ( | ) |
Returns the string to be rendered
Created in NX7.5.3.
License requirements : None
NXOpen::Features::TextBuilder::Types NXOpen::Features::TextBuilder::Type | ( | ) |
Returns the type
Created in NX7.5.1.
License requirements : None
void NXOpen::Features::TextBuilder::UpdateOnOrientationVectorReversal | ( | ) |
Updates the builder based on orientation vector sense
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::TextBuilder::UpdateOnSectionPlane | ( | ) |
Updates the builder based on section plane
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")